org.eclipse.rdf4j.common.webapp.system

## Class SystemOverviewController

- java.lang.Object
- - org.eclipse.rdf4j.common.webapp.system.SystemOverviewController

- All Implemented Interfaces:
    org.springframework.web.servlet.mvc.Controller

      public class SystemOverviewController
      extends Object
      implements org.springframework.web.servlet.mvc.Controller

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SystemOverviewController.MemoryInfo`
    `static class` | `SystemOverviewController.ServerInfo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SystemOverviewController()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AppConfiguration` | `getConfig()`
    `String` | `getView()`
    `org.springframework.web.servlet.ModelAndView` | `handleRequest(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
    `void` | `setConfig(AppConfiguration config)`
    `void` | `setView(String view)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SystemOverviewController

          public SystemOverviewController()

  - ### Method Detail

    - #### getView

          public String getView()

    - #### setView

          public void setView(String view)

    - #### handleRequest

          public org.springframework.web.servlet.ModelAndView handleRequest(javax.servlet.http.HttpServletRequest request,
                                                                            javax.servlet.http.HttpServletResponse response)
                                                                     throws Exception

      Specified by:
        `handleRequest` in interface `org.springframework.web.servlet.mvc.Controller`
      Throws:
        `Exception`

    - #### getConfig

          public AppConfiguration getConfig()

    - #### setConfig

          public void setConfig(AppConfiguration config)

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.